{% extends 'base.html' %}
{% load static %}



{% block meta %}
<title>Register</title>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
	<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.1/css/all.css" integrity="sha384-gfdkjb5BdAXd+lj+gudLWI+BXq4IuLW5IT+brZEZsLFm++aCMlF1V92rMkPaX4PP" crossorigin="anonymous">
	<link rel="stylesheet" href="{% static 'style.css' %}">
{% endblock meta %}



{% block content %}

{% include 'navbar.html' %}

<div class="container h-100">
	<div class="d-flex justify-content-center h-100">
		<div class="user_card" style="margin: 0; position: absolute; top: 50%; -ms-transform: translateY(-50%); transform: translateY(-50%); border-radius: 10px;padding: 5%; background-color: #A1CDCE;">
			<div class="d-flex justify-content-center">
				<h3 id="form-title" style="color: black;"><b>Register</b></h3>
			</div>
			<div class="d-flex justify-content-center form_container">

				<form method="POST" action="">
					{% csrf_token %}
					<div class="input-group mb-3">
						<div class="input-group-append">
							<span class="input-group-text"><i class="fas fa-user"></i></span>
						</div>
						{{form.username}}
					</div>
					<div class="input-group mb-2">
						<div class="input-group-append">
							<span class="input-group-text"><i class="fas fa-envelope-square"></i></span>
						</div>
						{{form.email}}
					</div>
					<div class="input-group mb-2">
						<div class="input-group-append">
							<span class="input-group-text"><i class="fas fa-key"></i></span>
						</div>
						{{form.password1}}
					</div>
					<div class="input-group mb-2">
						<div class="input-group-append">
							<span class="input-group-text"><i class="fas fa-key"></i></span>
						</div>
						{{form.password2}}
					</div>

					   <div class="d-flex justify-content-center mt-3 login_container">
						 <input class="btn login_btn" type="submit" value="Register Account" style="color: white;">
					   </div>
				</form>
			</div>

			{{form.errors}}

			<div class="mt-4">
				<div class="d-flex justify-content-center links" >
					Already have an account? <a href="/login/" class="ml-2"><b>Login</b></a>
				</div>
			</div>

		</div>
	</div>
</div>

<script src="{% static 'reg.js' %}"></script>

{% endblock content %}